{
  "schema_version": "1.4.0",
  "id": "GHSA-vhq3-xx7w-3wr2",
  "modified": "2022-05-14T01:41:32Z",
  "published": "2022-05-14T01:41:32Z",
  "aliases": [
    "CVE-2018-18667"
  ],
  "details": "The mintToken function of Pylon (PYLNT) aka PylonToken, an Ethereum token, has an integer overflow that allows the owner of the contract to set the balance of an arbitrary user to any value, a related issue to CVE-2018-11812.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-18667"
    },
    {
      "type": "WEB",
      "url": "https://github.com/klenergy/ethereum-contracts/issues/1"
    },
    {
      "type": "WEB",
      "url": "https://etherscan.io/address/0x7703c35cffdc5cda8d27aa3df2f9ba6964544b6e#code"
    },
    {
      "type": "WEB",
      "url": "https://github.com/n0pn0pn0p/smart_contract_-vulnerability/blob/master/PolyAi.md"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-12-28T17:29:00Z"
  }
}